Bug 3765 - Problems with initscripts 4.23
Problems with initscripts 4.23
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 1999-06-27 23:55 EDT by Brian Ryner
Modified: 2014-03-16 22:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-06-29 16:27:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Ryner 1999-06-27 23:55:25 EDT
I get two errors during startup, and I believe I know what's
causing both of them.

Error #1: "/etc/sysconfig/i18n: file not found"

I don't have this file.  It's not included in initscripts.
What package has it, and why isn't this package in the
Requires field for initscripts?

Error #2: "tty: file not found"

I think this comes from the line
  if [ "`tty`" = "not a tty" ]; then
running in /etc/rc.d/init.d/functions before the /usr
partition has been mounted (tty is in /usr/bin).
Comment 1 Brian Ryner 1999-06-28 21:03:59 EDT
I'm bumping this to higher priority because 4.23 also seems to cause
the root partition to not get cleanly unmounted on shutdown, which
could cause fs problems.
Comment 2 Bill Nottingham 1999-06-29 12:31:59 EDT
First two have been fixed, will be in next rawhide release.

What's the problem with getting the fs unmounted? Are there
earlier errors that shouw up?
Comment 3 Brian Ryner 1999-06-29 12:33:59 EDT
The error, as I remember it, said that the partition was "busy."
I'll try and get the exact error later today.
Comment 4 Brian Ryner 1999-06-29 16:00:59 EDT
You can go ahead and close this bug report.  I can't reproduce this,
so I don't think it's related to initscripts.  Probably a process that
wouldn't die or something similar.
Comment 5 Jay Freeman 1999-07-09 17:09:59 EDT
I get the problem with the file system on both of my computers
running rawhide, and have been for not only the last couple versions
of initscripts but almost since I started using it.  The first has a
custom kernel and is running tons of security programs running and
watching everything all the time, but the other one is a stock
rawhide computer that only has a few non-rawhide packages installed
on it that I use for network troubleshooting, none of which are
daemons.  I never complained about this before because I had thought
there was already a bug for this and that someone was working on it
(maybe I am wrong, or maybe noone even looks at the old bugs that
never closed (pity to look at all those forgotten bugs)...).  Just
tried rebooting to see if it would happen, and it did, but now >I<
can't even reproduce it (was going to try it again and see if I could
catch some other error that might have happened before it).  Am going
to try a few more things though, I have some more ideas on what might
have been running that last reboot that isn't now.

Note You need to log in before you can comment on or make changes to this bug.